Update debian11_setup.sh

This commit is contained in:
tteckster 2021-10-23 17:00:35 -04:00 committed by GitHub
parent ea043702e9
commit 8684a5cdf9
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -2,9 +2,9 @@
# Setup script environment
set -o errexit #Exit immediately if a pipeline returns a non-zero status
#set -o errtrace #Trap ERR from shell functions, command substitutions, and commands from subshell
set -o errtrace #Trap ERR from shell functions, command substitutions, and commands from subshell
set -o nounset #Treat unset variables as an error
#set -o pipefail #Pipe will exit with last non-zero status if applicable
set -o pipefail #Pipe will exit with last non-zero status if applicable
shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR
@ -32,7 +32,7 @@ apt-get autoremove >/dev/null
# Update container OS
msg "Updating container OS..."
apt-get update -y &>/dev/null
apt-get update || true >/dev/null
apt-get upgrade &>/dev/null
# Install prerequisites